Index: issm/trunk/src/m/solutions/ice/CreateFemModel.m
===================================================================
--- issm/trunk/src/m/solutions/ice/CreateFemModel.m	(revision 1679)
+++ issm/trunk/src/m/solutions/ice/CreateFemModel.m	(revision 1680)
@@ -13,5 +13,5 @@
 
 %First, build elements,grids,loads, etc ... for horizontal model
-[elements,grids,loads,constraints,materials,part,tpart]=ModelProcessor(md,solutiontype);
+[elements,grids,loads,constraints,materials]=ModelProcessor(md,solutiontype);
 	
 %generate degrees of freedom
@@ -42,6 +42,4 @@
 m.constraints=constraints;
 m.materials=materials;
-m.part=part;
-m.tpart=tpart;
 m.ys=ys;
 m.gridset=gridset;
Index: issm/trunk/src/m/solutions/ice/Loadresults.m
===================================================================
--- issm/trunk/src/m/solutions/ice/Loadresults.m	(revision 1679)
+++ issm/trunk/src/m/solutions/ice/Loadresults.m	(revision 1680)
@@ -15,7 +15,4 @@
 		indy=2:6:m_dh.gridset.gsize;
 		indp=4:6:m_dh.gridset.gsize;
-		indx=indx(m_dh.tpart);
-		indy=indy(m_dh.tpart);
-		indp=indp(m_dh.tpart);
 	else
 		m_dhu=fem.m_dhu;
@@ -23,7 +20,4 @@
 		indy=2:6:m_dhu.gridset.gsize;
 		indp=4:6:m_dhu.gridset.gsize;
-		indx=indx(m_dhu.tpart);
-		indy=indy(m_dhu.tpart);
-		indp=indp(m_dhu.tpart);
 	end
 
@@ -42,8 +36,4 @@
 	indz=3:6:m_dv.gridset.gsize;
 	indp=4:6:m_dv.gridset.gsize;
-	indx=indx(m_dv.tpart);
-	indy=indy(m_dv.tpart);
-	indz=indz(m_dv.tpart);
-	indp=indp(m_dv.tpart);
 
 	md.results.diagnostic.step=1;
Index: issm/trunk/src/m/solutions/ice/ModelProcessor.m
===================================================================
--- issm/trunk/src/m/solutions/ice/ModelProcessor.m	(revision 1679)
+++ issm/trunk/src/m/solutions/ice/ModelProcessor.m	(revision 1680)
@@ -1,3 +1,3 @@
-function [elements,grids,loads,constraints,materials,part,tpart]=ModelProcessor(md,solutiontype),
+function [elements,grids,loads,constraints,materials]=ModelProcessor(md,solutiontype),
 %MODELPROCESSOR - process model for a given solution sequence
 %
@@ -9,22 +9,22 @@
 %
 %   Usage:
-%      [elements,grids,loads,constraints,materials,part,tpart]=ModelProcessor(md,solutiontype)
+%      [elements,grids,loads,constraints,materials]=ModelProcessor(md,solutiontype)
 
 if strcmpi(solutiontype,'diagnostic_horiz'),
-	[elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorDiagnosticHoriz(md);
+	[elements,grids,loads,constraints,materials]=ModelProcessorDiagnosticHoriz(md);
 elseif strcmpi(solutiontype,'diagnostic_vert'),
-	[elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorDiagnosticVert(md);
+	[elements,grids,loads,constraints,materials]=ModelProcessorDiagnosticVert(md);
 elseif strcmpi(solutiontype,'diagnostic_hutter'),
-	[elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorDiagnosticHutter(md);
+	[elements,grids,loads,constraints,materials]=ModelProcessorDiagnosticHutter(md);
 elseif strcmpi(solutiontype,'thermalsteady')| strcmpi(solutiontype,'thermaltransient'),
-	[elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorThermal(md,solutiontype);
+	[elements,grids,loads,constraints,materials]=ModelProcessorThermal(md,solutiontype);
 elseif strcmpi(solutiontype,'meltingsteady')| strcmpi(solutiontype,'meltingtransient'),
-	[elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorMelting(md,solutiontype);
+	[elements,grids,loads,constraints,materials]=ModelProcessorMelting(md,solutiontype);
 elseif strcmpi(solutiontype,'prognostic'),
-	[elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorPrognostic(md);
+	[elements,grids,loads,constraints,materials]=ModelProcessorPrognostic(md);
 elseif strcmpi(solutiontype,'diagnostic_stokes'),
-	[elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorDiagnosticStokes(md);
+	[elements,grids,loads,constraints,materials]=ModelProcessorDiagnosticStokes(md);
 elseif strcmpi(solutiontype,'bed_slope_compute') | strcmpi(solutiontype, 'surface_slope_compute'),
-	[elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorSlopeCompute(md,solutiontype);
+	[elements,grids,loads,constraints,materials]=ModelProcessorSlopeCompute(md,solutiontype);
 
 else 
Index: issm/trunk/src/m/solutions/ice/ModelProcessorDiagnosticHoriz.m
===================================================================
--- issm/trunk/src/m/solutions/ice/ModelProcessorDiagnosticHoriz.m	(revision 1679)
+++ issm/trunk/src/m/solutions/ice/ModelProcessorDiagnosticHoriz.m	(revision 1680)
@@ -1,3 +1,3 @@
-function [elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorDiagnosticHoriz(md);
+function [elements,grids,loads,constraints,materials]=ModelProcessorDiagnosticHoriz(md);
 %MODELPROCESSORDIAGNOSTICHORIZ - process model for an horizontal diagnostic solution
 %
@@ -9,5 +9,5 @@
 %
 %   Usage:
-%      [elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorDiagnosticHoriz(md)
+%      [elements,grids,loads,constraints,materials]=ModelProcessorDiagnosticHoriz(md)
 
 %Allocate grids and elements
@@ -268,6 +268,3 @@
 end
 
-%Last thing, return a partitioning vector, and its transpose.
-[part,tpart]=PartitioningVector(md,grids);
-
 end %end function
Index: issm/trunk/src/m/solutions/ice/ModelProcessorDiagnosticHutter.m
===================================================================
--- issm/trunk/src/m/solutions/ice/ModelProcessorDiagnosticHutter.m	(revision 1679)
+++ issm/trunk/src/m/solutions/ice/ModelProcessorDiagnosticHutter.m	(revision 1680)
@@ -1,3 +1,3 @@
-function [elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorDiagnosticHutter(md);
+function [elements,grids,loads,constraints,materials]=ModelProcessorDiagnosticHutter(md);
 %MODELPROCESSORDIAGNOSTICHUTTER - process model for a Hutter diagnostic solution
 %
@@ -9,5 +9,5 @@
 %
 %   Usage:
-%      [elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorDiagnosticHutter(md);
+%      [elements,grids,loads,constraints,materials]=ModelProcessorDiagnosticHutter(md);
 
 %Allocate grids and elements
@@ -146,6 +146,3 @@
 end
 
-
-%Last thing, return a partitioning vector, and its transpose.
-[part,tpart]=PartitioningVector(md,grids);
 end %end function
Index: issm/trunk/src/m/solutions/ice/ModelProcessorDiagnosticStokes.m
===================================================================
--- issm/trunk/src/m/solutions/ice/ModelProcessorDiagnosticStokes.m	(revision 1679)
+++ issm/trunk/src/m/solutions/ice/ModelProcessorDiagnosticStokes.m	(revision 1680)
@@ -1,3 +1,3 @@
-function [elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorDiagnosticHoriz(md);
+function [elements,grids,loads,constraints,materials]=ModelProcessorDiagnosticHoriz(md);
 %MODELPROCESSORDIAGNOSTICHORIZ - process model for an horizontal diagnostic solution
 %
@@ -9,5 +9,5 @@
 %
 %   Usage:
-%      [elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorDiagnosticHoriz(md)
+%      [elements,grids,loads,constraints,materials]=ModelProcessorDiagnosticHoriz(md)
 
 %Allocate grids and elements
@@ -174,8 +174,3 @@
 end
 
-
-%Last thing, return a partitioning vector, and its transpose.
-[part,tpart]=PartitioningVector(md,grids);
-
-
 end %end function
Index: issm/trunk/src/m/solutions/ice/ModelProcessorDiagnosticVert.m
===================================================================
--- issm/trunk/src/m/solutions/ice/ModelProcessorDiagnosticVert.m	(revision 1679)
+++ issm/trunk/src/m/solutions/ice/ModelProcessorDiagnosticVert.m	(revision 1680)
@@ -1,3 +1,3 @@
-function [elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorDiagnosticVert(md);
+function [elements,grids,loads,constraints,materials]=ModelProcessorDiagnosticVert(md);
 %MODELPROCESSORDIAGNOSTICVERT - process model for a vertical diagnostic solution
 %
@@ -9,5 +9,5 @@
 %
 %   Usage:
-%      [elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorDiagnosticVert(md);
+%      [elements,grids,loads,constraints,materials]=ModelProcessorDiagnosticVert(md);
 
 %Allocate grids and elements
@@ -94,6 +94,3 @@
 constraints=struct('constraint',cell(0,0));
 
-%Last thing, return a partitioning vector, and its transpose.
-[part,tpart]=PartitioningVector(md,grids);
-
 end %end function
Index: issm/trunk/src/m/solutions/ice/ModelProcessorMelting.m
===================================================================
--- issm/trunk/src/m/solutions/ice/ModelProcessorMelting.m	(revision 1679)
+++ issm/trunk/src/m/solutions/ice/ModelProcessorMelting.m	(revision 1680)
@@ -1,3 +1,3 @@
-function [elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorMelting(md,solutiontype);
+function [elements,grids,loads,constraints,materials]=ModelProcessorMelting(md,solutiontype);
 %MODELPROCESSORMELTING - process model for a melting solution
 %
@@ -9,5 +9,5 @@
 %
 %   Usage:
-%      [elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorMelting(md,solutiontype)
+%      [elements,grids,loads,constraints,materials]=ModelProcessorMelting(md,solutiontype)
 
 %Allocate grids and elements
@@ -116,6 +116,3 @@
 constraints=struct('constraint',cell(0,0));
 
-%Last thing, return a partitioning vector, and its transpose.
-[part,tpart]=PartitioningVector(md,grids);
-
 end %end function
Index: issm/trunk/src/m/solutions/ice/ModelProcessorPrognostic.m
===================================================================
--- issm/trunk/src/m/solutions/ice/ModelProcessorPrognostic.m	(revision 1679)
+++ issm/trunk/src/m/solutions/ice/ModelProcessorPrognostic.m	(revision 1680)
@@ -1,3 +1,3 @@
-function [elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorPrognostic(md);
+function [elements,grids,loads,constraints,materials]=ModelProcessorPrognostic(md);
 %MODELPROCESSORPROGNOSTIC - process model for a prognostic solution
 %
@@ -9,5 +9,5 @@
 %
 %   Usage:
-%      [elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorPrognostic(md)
+%      [elements,grids,loads,constraints,materials]=ModelProcessorPrognostic(md)
 
 %Allocate grids and elements
@@ -109,6 +109,3 @@
 end
 
-%Last thing, return a partitioning vector, and its transpose.
-[part,tpart]=PartitioningVector(md,grids);
-
 end %end function
Index: issm/trunk/src/m/solutions/ice/ModelProcessorSlopeCompute.m
===================================================================
--- issm/trunk/src/m/solutions/ice/ModelProcessorSlopeCompute.m	(revision 1679)
+++ issm/trunk/src/m/solutions/ice/ModelProcessorSlopeCompute.m	(revision 1680)
@@ -1,3 +1,3 @@
-function [elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorSlopeCompute(md,solutiontype);
+function [elements,grids,loads,constraints,materials]=ModelProcessorSlopeCompute(md,solutiontype);
 %MODELPROCESSORSLOPECOMPUTE - process model for a slope finite element computation
 %
@@ -9,5 +9,5 @@
 %
 %   Usage:
-%      [elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorSlopeCompute(md,solutiontype)
+%      [elements,grids,loads,constraints,materials]=ModelProcessorSlopeCompute(md,solutiontype)
 
 %Allocate grids and elements
@@ -105,6 +105,3 @@
 constraints=struct('constraint',cell(0,0));
 
-%Last thing, return a partitioning vector, and its transpose.
-[part,tpart]=PartitioningVector(md,grids);
-
 end %end function
Index: issm/trunk/src/m/solutions/ice/ModelProcessorThermal.m
===================================================================
--- issm/trunk/src/m/solutions/ice/ModelProcessorThermal.m	(revision 1679)
+++ issm/trunk/src/m/solutions/ice/ModelProcessorThermal.m	(revision 1680)
@@ -1,3 +1,3 @@
-function [elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorThermal(md,solutiontype);
+function [elements,grids,loads,constraints,materials]=ModelProcessorThermal(md,solutiontype);
 %MODELPROCESSORTHERMAL - process model for a thermal solution
 %
@@ -9,5 +9,5 @@
 %
 %   Usage:
-%      [elements,grids,loads,constraints,materials,part,tpart]=ModelProcessorThermal(md,solutiontype)
+%      [elements,grids,loads,constraints,materials]=ModelProcessorThermal(md,solutiontype)
 
 %Allocate grids and elements
@@ -135,8 +135,3 @@
 end
 
-
-%Last thing, return a partitioning vector, and its transpose.
-[part,tpart]=PartitioningVector(md,grids);
-
-
 end %end function
Index: issm/trunk/src/m/solutions/ice/PartitioningVector.m
===================================================================
--- issm/trunk/src/m/solutions/ice/PartitioningVector.m	(revision 1679)
+++ 	(revision )
@@ -1,14 +1,0 @@
-function [part tpart]=PartitioningVector(md,grids);
-%PARTITIONINGVECTOR - build the partitioning vector
-%
-%   Return a partitioning vector, and its transpose. The partitioning vector
-%   part shows how each dof is distributed. tpart allows from a partitioned dof to go back
-%   to its original position on the grid list.
-%
-%   Usage:
-%      [part tpart]=PartitioningVector(md,grids)
-
- part=1:1:md.numberofgrids;
- tpart=1:1:md.numberofgrids;
-
-end %end function
Index: issm/trunk/src/m/solutions/ice/huttercompute.m
===================================================================
--- issm/trunk/src/m/solutions/ice/huttercompute.m	(revision 1679)
+++ issm/trunk/src/m/solutions/ice/huttercompute.m	(revision 1680)
@@ -17,5 +17,5 @@
 %First, build elements,grids,loads, etc ... for horizontal, base vertical and vertical model
 disp('   processing model');
-[elements,grids,loads,constraints,materials,part,tpart]=ModelProcessor(md,'diagnostic_hutter');
+[elements,grids,loads,constraints,materials]=ModelProcessor(md,'diagnostic_hutter');
 
 %generate degrees of freedom
Index: issm/trunk/src/m/solutions/ice/prognostic.m
===================================================================
--- issm/trunk/src/m/solutions/ice/prognostic.m	(revision 1679)
+++ issm/trunk/src/m/solutions/ice/prognostic.m	(revision 1680)
@@ -59,5 +59,5 @@
 %project collapsed thickness onto 3d mesh
 if ~isstruct(md.results), md.results=struct(); end
-indx=1:6:m.gridset.gsize; indx=indx(m.tpart);
+indx=1:6:m.gridset.gsize;
 md.results.prognostic.step=1;
 md.results.prognostic.time=0;
Index: issm/trunk/src/m/solutions/ice/thermal.m
===================================================================
--- issm/trunk/src/m/solutions/ice/thermal.m	(revision 1679)
+++ issm/trunk/src/m/solutions/ice/thermal.m	(revision 1680)
@@ -21,7 +21,7 @@
 %initialize velocity,pressure and material properties
 velocity=zeros(m_t.gridset.gsize,1);
-velocity(1:6:m_t.gridset.gsize)=md.vx(m_t.part)/md.yts;
-velocity(2:6:m_t.gridset.gsize)=md.vy(m_t.part)/md.yts;
-velocity(3:6:m_t.gridset.gsize)=md.vz(m_t.part)/md.yts;
+velocity(1:6:m_t.gridset.gsize)=md.vx/md.yts;
+velocity(2:6:m_t.gridset.gsize)=md.vy/md.yts;
+velocity(3:6:m_t.gridset.gsize)=md.vz/md.yts;
 
 pressure=zeros(m_t.gridset.gsize,1);
@@ -44,5 +44,4 @@
 	%Wrap up
 	indx=1:6:gridset.gsize;
-	indx=indx(m_t.tpart);
 	if ~isstruct(md.results), md.results=struct(); end
 	md.results.thermal.step=1;
@@ -84,5 +83,4 @@
 	%Wrap up
 	indx=1:6:m_t.gridset.gsize;
-	indx=indx(m_t.tpart);
  	solution=struct('time',{},'temperature',{},'melting',{});
 
Index: issm/trunk/src/m/solutions/ice/transient2d.m
===================================================================
--- issm/trunk/src/m/solutions/ice/transient2d.m	(revision 1679)
+++ issm/trunk/src/m/solutions/ice/transient2d.m	(revision 1680)
@@ -80,5 +80,5 @@
 	%update surface and bed using the new thickness
 	disp(sprintf('%s','   updating geometry...'));
-	indx=1:6:m_p.gridset.gsize; indx=indx(m_p.tpart);
+	indx=1:6:m_p.gridset.gsize;
 	[new_bed,new_surface,new_thickness]=UpdateGeometry(md,new_thickness(indx),solution(n).bed(indx),solution(n).surface(indx));
 	
@@ -102,6 +102,6 @@
 
 %load results onto model
-indx=1:6:m_p.gridset.gsize; indx=indx(m_p.tpart);
-indy=2:6:m_p.gridset.gsize; indy=indy(m_p.tpart);
+indx=1:6:m_p.gridset.gsize;
+indy=2:6:m_p.gridset.gsize;
 for i=1:length(solution),
 	solution2(i).vx=solution(i).u_g(indx)*md.yts;
Index: issm/trunk/src/m/solutions/ice/transient3d.m
===================================================================
--- issm/trunk/src/m/solutions/ice/transient3d.m	(revision 1679)
+++ issm/trunk/src/m/solutions/ice/transient3d.m	(revision 1680)
@@ -112,5 +112,5 @@
 
 	%project collapsed thickness onto 3d mesh
-	indx=1:6:fem.m_p.gridset.gsize; indx=indx(fem.m_p.tpart);
+	indx=1:6:fem.m_p.gridset.gsize;
 	new_thickness=project3d(md,project2d(md,new_thickness(indx),1),'node');
 
@@ -156,7 +156,7 @@
 
 %load results onto model
-indx=1:6:fem.m_dv.gridset.gsize; indx=indx(fem.m_dv.tpart);
-indy=2:6:fem.m_dv.gridset.gsize; indy=indy(fem.m_dv.tpart);
-indz=3:6:fem.m_dv.gridset.gsize; indz=indz(fem.m_dv.tpart);
+indx=1:6:fem.m_dv.gridset.gsize;
+indy=2:6:fem.m_dv.gridset.gsize;
+indz=3:6:fem.m_dv.gridset.gsize;
 for i=1:length(solution),
 	solution2(i).vx=solution(i).u_g(indx)*md.yts;