Index: issm/trunk/test/Verification/IceSheetIceFrontM2d_7/Square.par
===================================================================
--- issm/trunk/test/Verification/IceSheetIceFrontM2d_7/Square.par	(revision 1720)
+++ issm/trunk/test/Verification/IceSheetIceFrontM2d_7/Square.par	(revision 1721)
@@ -3,5 +3,5 @@
 %dynamics
 md.debug=0;
-md.dt=1*md.yts; %1 year
+md.dt=1; %1 year
 md.ndt=md.dt*10; 
 md.artificial_diffusivity=0;
Index: issm/trunk/test/Verification/IceSheetIceFrontM3d_8/Square.par
===================================================================
--- issm/trunk/test/Verification/IceSheetIceFrontM3d_8/Square.par	(revision 1720)
+++ issm/trunk/test/Verification/IceSheetIceFrontM3d_8/Square.par	(revision 1721)
@@ -3,5 +3,5 @@
 %dynamics
 md.debug=0;
-md.dt=0.1*md.yts; %1 year
+md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
 md.artificial_diffusivity=1;
Index: issm/trunk/test/Verification/IceSheetIceFrontMP3d_9/Square.par
===================================================================
--- issm/trunk/test/Verification/IceSheetIceFrontMP3d_9/Square.par	(revision 1720)
+++ issm/trunk/test/Verification/IceSheetIceFrontMP3d_9/Square.par	(revision 1721)
@@ -3,5 +3,5 @@
 %dynamics
 md.debug=0;
-md.dt=0.1*md.yts; %1 year
+md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
 md.artificial_diffusivity=1;
Index: issm/trunk/test/Verification/IceSheetIceFrontP3d_10/Square.par
===================================================================
--- issm/trunk/test/Verification/IceSheetIceFrontP3d_10/Square.par	(revision 1720)
+++ issm/trunk/test/Verification/IceSheetIceFrontP3d_10/Square.par	(revision 1721)
@@ -2,6 +2,6 @@
 
 %dynamics
-md.debug=0;
-md.dt=0.01*md.yts; %1 year
+md.debug=1;
+md.dt=0.01; %1 year
 md.ndt=md.dt*3; 
 md.artificial_diffusivity=0;
Index: issm/trunk/test/Verification/IceSheetIceFrontS3d_11/Square.par
===================================================================
--- issm/trunk/test/Verification/IceSheetIceFrontS3d_11/Square.par	(revision 1720)
+++ issm/trunk/test/Verification/IceSheetIceFrontS3d_11/Square.par	(revision 1721)
@@ -3,5 +3,5 @@
 %dynamics
 md.debug=0;
-md.dt=0.1*md.yts; %1 year
+md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
 md.artificial_diffusivity=1;
Index: issm/trunk/test/Verification/IceSheetNoIceFrontH2d_12/Square.par
===================================================================
--- issm/trunk/test/Verification/IceSheetNoIceFrontH2d_12/Square.par	(revision 1720)
+++ issm/trunk/test/Verification/IceSheetNoIceFrontH2d_12/Square.par	(revision 1721)
@@ -3,5 +3,5 @@
 %dynamics
 md.debug=0;
-md.dt=1*md.yts; %1 year
+md.dt=1; %1 year
 md.ndt=md.dt*10; 
 md.artificial_diffusivity=1;
Index: issm/trunk/test/Verification/IceSheetNoIceFrontH3d_13/Square.par
===================================================================
--- issm/trunk/test/Verification/IceSheetNoIceFrontH3d_13/Square.par	(revision 1720)
+++ issm/trunk/test/Verification/IceSheetNoIceFrontH3d_13/Square.par	(revision 1721)
@@ -3,5 +3,5 @@
 %dynamics
 md.debug=0;
-md.dt=0.1*md.yts; %1 year
+md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
 md.artificial_diffusivity=1;
Index: issm/trunk/test/Verification/IceSheetNoIceFrontHM2d_14/Square.par
===================================================================
--- issm/trunk/test/Verification/IceSheetNoIceFrontHM2d_14/Square.par	(revision 1720)
+++ issm/trunk/test/Verification/IceSheetNoIceFrontHM2d_14/Square.par	(revision 1721)
@@ -3,5 +3,5 @@
 %dynamics
 md.debug=0;
-md.dt=1*md.yts; %1 year
+md.dt=1; %1 year
 md.ndt=md.dt*10; 
 md.artificial_diffusivity=1;
Index: issm/trunk/test/Verification/IceSheetNoIceFrontHM3d_15/Square.par
===================================================================
--- issm/trunk/test/Verification/IceSheetNoIceFrontHM3d_15/Square.par	(revision 1720)
+++ issm/trunk/test/Verification/IceSheetNoIceFrontHM3d_15/Square.par	(revision 1721)
@@ -3,5 +3,5 @@
 %dynamics
 md.debug=0;
-md.dt=0.1*md.yts; %1 year
+md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
 md.artificial_diffusivity=1;
Index: issm/trunk/test/Verification/IceSheetNoIceFrontM3d_17/Square.par
===================================================================
--- issm/trunk/test/Verification/IceSheetNoIceFrontM3d_17/Square.par	(revision 1720)
+++ issm/trunk/test/Verification/IceSheetNoIceFrontM3d_17/Square.par	(revision 1721)
@@ -3,5 +3,5 @@
 %dynamics
 md.debug=0;
-md.dt=0.1*md.yts; %1 year
+md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
 md.artificial_diffusivity=1;
Index: issm/trunk/test/Verification/IceSheetNoIceFrontP3d_18/Square.par
===================================================================
--- issm/trunk/test/Verification/IceSheetNoIceFrontP3d_18/Square.par	(revision 1720)
+++ issm/trunk/test/Verification/IceSheetNoIceFrontP3d_18/Square.par	(revision 1721)
@@ -3,5 +3,5 @@
 %dynamics
 md.debug=0;
-md.dt=0.1*md.yts; %1 year
+md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
 md.artificial_diffusivity=1;
Index: issm/trunk/test/Verification/IceSheetNoIceFrontS3d_19/Square.par
===================================================================
--- issm/trunk/test/Verification/IceSheetNoIceFrontS3d_19/Square.par	(revision 1720)
+++ issm/trunk/test/Verification/IceSheetNoIceFrontS3d_19/Square.par	(revision 1721)
@@ -3,5 +3,5 @@
 %dynamics
 md.debug=0;
-md.dt=0.1*md.yts; %1 year
+md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
 md.artificial_diffusivity=0;
Index: issm/trunk/test/Verification/IceShelfIceFrontM2d_1/Square.par
===================================================================
--- issm/trunk/test/Verification/IceShelfIceFrontM2d_1/Square.par	(revision 1720)
+++ issm/trunk/test/Verification/IceShelfIceFrontM2d_1/Square.par	(revision 1721)
@@ -3,5 +3,5 @@
 %dynamics
 md.debug=0;
-md.dt=1*md.yts; %1 year
+md.dt=1; %1 year
 md.ndt=md.dt*10; 
 md.artificial_diffusivity=1;
Index: issm/trunk/test/Verification/IceShelfIceFrontM3d_2/Square.par
===================================================================
--- issm/trunk/test/Verification/IceShelfIceFrontM3d_2/Square.par	(revision 1720)
+++ issm/trunk/test/Verification/IceShelfIceFrontM3d_2/Square.par	(revision 1721)
@@ -3,5 +3,5 @@
 %dynamics
 md.debug=0;
-md.dt=0.1*md.yts; %1 year
+md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
 md.artificial_diffusivity=1;
@@ -34,5 +34,5 @@
 
 %Parallel options
-md.np=7;
+md.np=8;
 md.time=50;
 md.waitonlock=1;
Index: issm/trunk/test/Verification/IceShelfIceFrontMP3d_3/Square.par
===================================================================
--- issm/trunk/test/Verification/IceShelfIceFrontMP3d_3/Square.par	(revision 1720)
+++ issm/trunk/test/Verification/IceShelfIceFrontMP3d_3/Square.par	(revision 1721)
@@ -3,5 +3,5 @@
 %dynamics
 md.debug=0;
-md.dt=0.1*md.yts; %1 year
+md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
 md.artificial_diffusivity=1;
Index: issm/trunk/test/Verification/IceShelfIceFrontMPS3d_4/Square.par
===================================================================
--- issm/trunk/test/Verification/IceShelfIceFrontMPS3d_4/Square.par	(revision 1720)
+++ issm/trunk/test/Verification/IceShelfIceFrontMPS3d_4/Square.par	(revision 1721)
@@ -3,5 +3,5 @@
 %dynamics
 md.debug=0;
-md.dt=0.1*md.yts; %1 year
+md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
 md.artificial_diffusivity=1;
Index: issm/trunk/test/Verification/IceShelfIceFrontP3d_5/Square.par
===================================================================
--- issm/trunk/test/Verification/IceShelfIceFrontP3d_5/Square.par	(revision 1720)
+++ issm/trunk/test/Verification/IceShelfIceFrontP3d_5/Square.par	(revision 1721)
@@ -3,5 +3,5 @@
 %dynamics
 md.debug=0;
-md.dt=0.1*md.yts; %1 year
+md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
 md.artificial_diffusivity=0;
Index: issm/trunk/test/Verification/IceShelfIceFrontS3d_6/Square.par
===================================================================
--- issm/trunk/test/Verification/IceShelfIceFrontS3d_6/Square.par	(revision 1720)
+++ issm/trunk/test/Verification/IceShelfIceFrontS3d_6/Square.par	(revision 1721)
@@ -3,5 +3,5 @@
 %dynamics
 md.debug=0;
-md.dt=0.1*md.yts; %1 year
+md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
 md.artificial_diffusivity=1;