Index: issm/trunk/test/Verification/IceSheetIceFrontM3d_8/runme.m
===================================================================
--- issm/trunk/test/Verification/IceSheetIceFrontM3d_8/runme.m	(revision 1905)
+++ issm/trunk/test/Verification/IceSheetIceFrontM3d_8/runme.m	(revision 1906)
@@ -34,5 +34,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceSheetIceFrontM3d_8/updatearchive.m
===================================================================
--- issm/trunk/test/Verification/IceSheetIceFrontM3d_8/updatearchive.m	(revision 1905)
+++ issm/trunk/test/Verification/IceSheetIceFrontM3d_8/updatearchive.m	(revision 1906)
@@ -30,5 +30,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceSheetIceFrontMP3d_9/runme.m
===================================================================
--- issm/trunk/test/Verification/IceSheetIceFrontMP3d_9/runme.m	(revision 1905)
+++ issm/trunk/test/Verification/IceSheetIceFrontMP3d_9/runme.m	(revision 1906)
@@ -34,5 +34,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceSheetIceFrontMP3d_9/updatearchive.m
===================================================================
--- issm/trunk/test/Verification/IceSheetIceFrontMP3d_9/updatearchive.m	(revision 1905)
+++ issm/trunk/test/Verification/IceSheetIceFrontMP3d_9/updatearchive.m	(revision 1906)
@@ -30,5 +30,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceSheetIceFrontP3d_10/runme.m
===================================================================
--- issm/trunk/test/Verification/IceSheetIceFrontP3d_10/runme.m	(revision 1905)
+++ issm/trunk/test/Verification/IceSheetIceFrontP3d_10/runme.m	(revision 1906)
@@ -34,5 +34,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceSheetIceFrontP3d_10/updatearchive.m
===================================================================
--- issm/trunk/test/Verification/IceSheetIceFrontP3d_10/updatearchive.m	(revision 1905)
+++ issm/trunk/test/Verification/IceSheetIceFrontP3d_10/updatearchive.m	(revision 1906)
@@ -30,5 +30,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceSheetIceFrontS3d_11/runme.m
===================================================================
--- issm/trunk/test/Verification/IceSheetIceFrontS3d_11/runme.m	(revision 1905)
+++ issm/trunk/test/Verification/IceSheetIceFrontS3d_11/runme.m	(revision 1906)
@@ -34,5 +34,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceSheetIceFrontS3d_11/updatearchive.m
===================================================================
--- issm/trunk/test/Verification/IceSheetIceFrontS3d_11/updatearchive.m	(revision 1905)
+++ issm/trunk/test/Verification/IceSheetIceFrontS3d_11/updatearchive.m	(revision 1906)
@@ -30,5 +30,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceSheetNoIceFrontH3d_13/runme.m
===================================================================
--- issm/trunk/test/Verification/IceSheetNoIceFrontH3d_13/runme.m	(revision 1905)
+++ issm/trunk/test/Verification/IceSheetNoIceFrontH3d_13/runme.m	(revision 1906)
@@ -34,5 +34,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceSheetNoIceFrontH3d_13/updatearchive.m
===================================================================
--- issm/trunk/test/Verification/IceSheetNoIceFrontH3d_13/updatearchive.m	(revision 1905)
+++ issm/trunk/test/Verification/IceSheetNoIceFrontH3d_13/updatearchive.m	(revision 1906)
@@ -30,5 +30,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceSheetNoIceFrontHM3d_15/runme.m
===================================================================
--- issm/trunk/test/Verification/IceSheetNoIceFrontHM3d_15/runme.m	(revision 1905)
+++ issm/trunk/test/Verification/IceSheetNoIceFrontHM3d_15/runme.m	(revision 1906)
@@ -34,5 +34,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceSheetNoIceFrontHM3d_15/updatearchive.m
===================================================================
--- issm/trunk/test/Verification/IceSheetNoIceFrontHM3d_15/updatearchive.m	(revision 1905)
+++ issm/trunk/test/Verification/IceSheetNoIceFrontHM3d_15/updatearchive.m	(revision 1906)
@@ -30,5 +30,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceSheetNoIceFrontM3d_17/runme.m
===================================================================
--- issm/trunk/test/Verification/IceSheetNoIceFrontM3d_17/runme.m	(revision 1905)
+++ issm/trunk/test/Verification/IceSheetNoIceFrontM3d_17/runme.m	(revision 1906)
@@ -34,5 +34,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceSheetNoIceFrontM3d_17/updatearchive.m
===================================================================
--- issm/trunk/test/Verification/IceSheetNoIceFrontM3d_17/updatearchive.m	(revision 1905)
+++ issm/trunk/test/Verification/IceSheetNoIceFrontM3d_17/updatearchive.m	(revision 1906)
@@ -30,5 +30,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceSheetNoIceFrontP3d_18/runme.m
===================================================================
--- issm/trunk/test/Verification/IceSheetNoIceFrontP3d_18/runme.m	(revision 1905)
+++ issm/trunk/test/Verification/IceSheetNoIceFrontP3d_18/runme.m	(revision 1906)
@@ -34,5 +34,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceSheetNoIceFrontP3d_18/updatearchive.m
===================================================================
--- issm/trunk/test/Verification/IceSheetNoIceFrontP3d_18/updatearchive.m	(revision 1905)
+++ issm/trunk/test/Verification/IceSheetNoIceFrontP3d_18/updatearchive.m	(revision 1906)
@@ -30,5 +30,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceSheetNoIceFrontS3d_19/runme.m
===================================================================
--- issm/trunk/test/Verification/IceSheetNoIceFrontS3d_19/runme.m	(revision 1905)
+++ issm/trunk/test/Verification/IceSheetNoIceFrontS3d_19/runme.m	(revision 1906)
@@ -34,5 +34,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceSheetNoIceFrontS3d_19/updatearchive.m
===================================================================
--- issm/trunk/test/Verification/IceSheetNoIceFrontS3d_19/updatearchive.m	(revision 1905)
+++ issm/trunk/test/Verification/IceSheetNoIceFrontS3d_19/updatearchive.m	(revision 1906)
@@ -30,5 +30,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceShelfIceFrontM3d_2/runme.m
===================================================================
--- issm/trunk/test/Verification/IceShelfIceFrontM3d_2/runme.m	(revision 1905)
+++ issm/trunk/test/Verification/IceShelfIceFrontM3d_2/runme.m	(revision 1906)
@@ -34,5 +34,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient','steadystate'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient','steadystate'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceShelfIceFrontM3d_2/updatearchive.m
===================================================================
--- issm/trunk/test/Verification/IceShelfIceFrontM3d_2/updatearchive.m	(revision 1905)
+++ issm/trunk/test/Verification/IceShelfIceFrontM3d_2/updatearchive.m	(revision 1906)
@@ -30,5 +30,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient','steadystate'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient','steadystate'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceShelfIceFrontMP3d_3/runme.m
===================================================================
--- issm/trunk/test/Verification/IceShelfIceFrontMP3d_3/runme.m	(revision 1905)
+++ issm/trunk/test/Verification/IceShelfIceFrontMP3d_3/runme.m	(revision 1906)
@@ -34,5 +34,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceShelfIceFrontMP3d_3/updatearchive.m
===================================================================
--- issm/trunk/test/Verification/IceShelfIceFrontMP3d_3/updatearchive.m	(revision 1905)
+++ issm/trunk/test/Verification/IceShelfIceFrontMP3d_3/updatearchive.m	(revision 1906)
@@ -30,5 +30,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceShelfIceFrontMPS3d_4/runme.m
===================================================================
--- issm/trunk/test/Verification/IceShelfIceFrontMPS3d_4/runme.m	(revision 1905)
+++ issm/trunk/test/Verification/IceShelfIceFrontMPS3d_4/runme.m	(revision 1906)
@@ -34,5 +34,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceShelfIceFrontMPS3d_4/updatearchive.m
===================================================================
--- issm/trunk/test/Verification/IceShelfIceFrontMPS3d_4/updatearchive.m	(revision 1905)
+++ issm/trunk/test/Verification/IceShelfIceFrontMPS3d_4/updatearchive.m	(revision 1906)
@@ -30,5 +30,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceShelfIceFrontP3d_5/runme.m
===================================================================
--- issm/trunk/test/Verification/IceShelfIceFrontP3d_5/runme.m	(revision 1905)
+++ issm/trunk/test/Verification/IceShelfIceFrontP3d_5/runme.m	(revision 1906)
@@ -34,5 +34,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient','steadystate'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient','steadystate'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceShelfIceFrontP3d_5/updatearchive.m
===================================================================
--- issm/trunk/test/Verification/IceShelfIceFrontP3d_5/updatearchive.m	(revision 1905)
+++ issm/trunk/test/Verification/IceShelfIceFrontP3d_5/updatearchive.m	(revision 1906)
@@ -30,5 +30,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceShelfIceFrontS3d_6/runme.m
===================================================================
--- issm/trunk/test/Verification/IceShelfIceFrontS3d_6/runme.m	(revision 1905)
+++ issm/trunk/test/Verification/IceShelfIceFrontS3d_6/runme.m	(revision 1906)
@@ -34,5 +34,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient','steadystate'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient','steadystate'};
 end
 if nargin,
Index: issm/trunk/test/Verification/IceShelfIceFrontS3d_6/updatearchive.m
===================================================================
--- issm/trunk/test/Verification/IceShelfIceFrontS3d_6/updatearchive.m	(revision 1905)
+++ issm/trunk/test/Verification/IceShelfIceFrontS3d_6/updatearchive.m	(revision 1906)
@@ -30,5 +30,5 @@
 	solutions=varargin{2};
 else
-	solutions={'diagnostic','thermalsteady','thermaltransient','prognostic','transient','steadystate'};
+	solutions={'diagnostic','thermal_steady','thermal_transient','prognostic','transient','steadystate'};
 end
 if nargin,